summaryrefslogtreecommitdiffstats
path: root/debian/lenny/libraries/pytdeextensions
diff options
context:
space:
mode:
Diffstat (limited to 'debian/lenny/libraries/pytdeextensions')
-rw-r--r--debian/lenny/libraries/pytdeextensions/debian/README.Debian107
-rw-r--r--debian/lenny/libraries/pytdeextensions/debian/changelog134
-rw-r--r--debian/lenny/libraries/pytdeextensions/debian/compat1
-rw-r--r--debian/lenny/libraries/pytdeextensions/debian/control45
-rw-r--r--debian/lenny/libraries/pytdeextensions/debian/copyright48
-rw-r--r--debian/lenny/libraries/pytdeextensions/debian/docs1
-rw-r--r--debian/lenny/libraries/pytdeextensions/debian/libpythonize0-trinity-dev.install4
-rw-r--r--debian/lenny/libraries/pytdeextensions/debian/libpythonize0-trinity.install1
-rw-r--r--debian/lenny/libraries/pytdeextensions/debian/patches/.gitignore0
-rw-r--r--debian/lenny/libraries/pytdeextensions/debian/pycompat1
-rw-r--r--debian/lenny/libraries/pytdeextensions/debian/pytdeextensions-trinity.install7
-rw-r--r--debian/lenny/libraries/pytdeextensions/debian/pytdeextensions-trinity.lintian-overrides10
-rw-r--r--debian/lenny/libraries/pytdeextensions/debian/python-distutils-jaunty.mk295
-rw-r--r--debian/lenny/libraries/pytdeextensions/debian/pyversions1
-rwxr-xr-xdebian/lenny/libraries/pytdeextensions/debian/rules63
15 files changed, 718 insertions, 0 deletions
diff --git a/debian/lenny/libraries/pytdeextensions/debian/README.Debian b/debian/lenny/libraries/pytdeextensions/debian/README.Debian
new file mode 100644
index 000000000..b0302c211
--- /dev/null
+++ b/debian/lenny/libraries/pytdeextensions/debian/README.Debian
@@ -0,0 +1,107 @@
+Debian kde-extras Team
+----------------------
+
+1. Contacts
+-----------
+
+General help requests
+ <debian-kde@lists.debian.org> mailing list
+ #debian-kde on irc
+
+Packaging queries
+ <debian-qt-kde@lists.debian.org> mailing list
+ #debian-qt-kde on irc
+
+Maintainers
+ <pkg-kde-extras@lists.alioth.debian.org> mailing list
+
+
+2. Subversion repository
+------------------------
+
+You can browse it only at:
+
+http://svn.debian.org/wsvn/pkg-kde/kde-extras/
+
+To "checkout" the repository use these commands:
+
+ $ svn co svn+ssh://${ALIOTH_USERNAME}@svn.debian.org/svn/pkg-kde/kde-extras
+
+Authorized SSH keys are controlled at https://alioth.debian.org/account/
+
+The repository layout is:
+
+- packagename/
+ - trunk/
+ - branches/
+ - tags/
+- 0.7.2-1/
+- 0.7.2-2/
+- 0.7.2-2ubuntu1/
+- 0.7.2-2ubuntu2/
+- 0.7.2-2ubuntu3/
+- 0.8.0/
+...
+
+If only one version of the package is available at the time, development must
+be made at trunk/ dir, copying the dir to tags/'pkg-version' each time a new
+release is made.
+
+When, at some point, the need to have two different versions at the same time
+arises (for example, if we need a version to be in unstable and a different one
+to be in experimental), experimental development will be made in trunk/ and
+if a new unstable package needs to be cooked, copying
+tag/'latest_version_in_sid' to tag/'latest_version_in_sid'+1 will make the
+trick.
+
+3. Using svn-buildpackage
+--------------------------
+
+Packages with an upstream tarball will require you to set the mergeWithUpstream
+property first (from the package root) so that svn-buildpackage will look for
+the .orig.tar.gz in the ../tarballs directory.
+
+ % svn propset mergeWithUpstream 1 debian
+
+Please note that this only works for packages which have only the debian/
+directory committed. Consequently, you must use CDBS's simple-patchsys.mk or
+dpatch to modify the upstream sources.
+
+After you have finished and committed your Debian patches via
+
+ % svn commit [PACKAGE]
+
+as well as copying the orig.tar.gz to ../tarballs/ if necessary, you may build
+your package with the following commands:
+
+ % svn-buildpackage --svn-ignore-new -rfakeroot
+
+Please, don't commit tarballs/ or build-area/ directories to SVN.
+
+4. Tarballs and Build-area directories
+------------------------------------
+
+During pkg development before uploaded to debian the tarballs can be found at:
+
+ http://pkg-kde.alioth.debian.org/kde-extra/orig.tar.gz/
+
+You need to place those dirs in the parent directory of the one from which you're
+running svn-buildpackage. Usually this means placing tarballs/ and build-area/ dirs
+in 'pkgname'/ dir, at the same level as trunk/
+
+If you want to compile inside one version in tags/ dir, you'll need to place those
+dirs inside that dir. Of course the easiest and cleanest way of doing it is
+by making a symlink of those dirs inside tags/ dir.
+
+5. Using svn-inject
+-------------------
+
+To inject a new package into the Debian KDE Extras svn archive you should use svn-inject(1)
+as follows:
+
+ svn-inject -o <package>.dsc svn+ssh://${ALIOTH_USERNAME}@svn.debian.org/svn/pkg-kde/kde-extras
+
+Type in your alioth password a few hundred times :-) and your package should be
+uploaded to the archive. Note you will also need to manually copy the
+package.orig.tar.gz to your tarballs directory. The -o option is important as
+this ensures that we 'Only keep modified files under SVN control'
diff --git a/debian/lenny/libraries/pytdeextensions/debian/changelog b/debian/lenny/libraries/pytdeextensions/debian/changelog
new file mode 100644
index 000000000..4f1eb90be
--- /dev/null
+++ b/debian/lenny/libraries/pytdeextensions/debian/changelog
@@ -0,0 +1,134 @@
+pytdeextensions-trinity (0.4.0-6ubuntu6) karmic; urgency=low
+
+ * Karmic rebuild
+
+ -- Timothy Pearson <kb9vqf@pearsoncomputing.net> Thu, 02 July 2009 16:08:00 -0600
+
+pytdeextensions-trinity (0.4.0-5ubuntu5) intrepid; urgency=low
+
+ * Added -trinity suffix
+
+ -- Timothy Pearson <kb9vqf@pearsoncomputing.net> Wed, 03 Dec 2008 21:38:00 -0600
+
+pytdeextensions (0.4.0-5ubuntu3) hardy; urgency=low
+
+ * Re-add libpythoniz0 dependency on python-dev to work around
+ libpythonize0 dlopening libpython2.5.so and not ...so.1 (LP: #179668)
+
+ -- Scott Kitterman <scott@kitterman.com> Sat, 01 Mar 2008 11:15:08 -0500
+
+pytdeextensions (0.4.0-5ubuntu2) hardy; urgency=low
+
+ * debian/control:
+ - remove the python-all-dev dependency in libpythonize0
+ - remove python2.5-dev dependency in libpythonize0-dev, this
+ gets pulled in via libpythonize0
+
+ -- Michael Vogt <michael.vogt@ubuntu.com> Mon, 17 Dec 2007 12:38:49 +0100
+
+pytdeextensions (0.4.0-5ubuntu1) hardy; urgency=low
+
+ * Merge with Debian, remaining changes:
+ - libpythonize0 depends on python2.5-dev, it tries to load .so file
+
+ -- Jonathan Riddell <jriddell@ubuntu.com> Thu, 29 Nov 2007 17:59:47 +0000
+
+pytdeextensions (0.4.0-5) unstable; urgency=low
+
+ * Add python-qt-dev build dependency.
+ pyqtconfig moved from python-qt3 to python-qt-dev. (Closes: #439504)
+ * Build with python 2.4/2.5. (Closes: #424505, #445292)
+ * Revert previous pyversions.
+ * Revert python-all-dev build dependency.
+ * Replace 12_force_python2.4_script patch.
+ * Remove *.py[co] files.
+ * lintian cleanup: substvar-source-version-is-deprecated.
+ Use ${binary:Version}.
+ * Make pytdeextensions package arch all.
+
+ -- Fathi Boudra <fboudra@free.fr> Sun, 07 Oct 2007 12:06:15 +0200
+
+pytdeextensions (0.4.0-4ubuntu4) gutsy; urgency=low
+
+ * Fix depends to python2.5-dev
+
+ -- Jonathan Riddell <jriddell@ubuntu.com> Tue, 25 Sep 2007 18:48:45 +0100
+
+pytdeextensions (0.4.0-4ubuntu3) gutsy; urgency=low
+
+ * Add libpython2.5-dev as a depends for libpythonize0, it wants to
+ load libpython2.5.so, reverts change from previous upload, LP: #84689,
+ LP: #144815
+
+ -- Jonathan Riddell <jriddell@ubuntu.com> Tue, 25 Sep 2007 16:32:17 +0100
+
+pytdeextensions (0.4.0-4ubuntu2) gutsy; urgency=low
+
+ * Fix build failure, build-depend on python-qt-dev.
+ * Use the unversioned python interpreter for scripts.
+ * Don't include byte-compiled files. LP: #36733.
+ * libpythonize0: Remove dependency on python2.5-dev. LP: #84689.
+
+ -- Matthias Klose <doko@ubuntu.com> Wed, 29 Aug 2007 20:48:25 +0000
+
+pytdeextensions (0.4.0-4ubuntu1) gutsy; urgency=low
+
+ * Merge with Debian, remaining changes:
+ - build on python 2.5
+
+ -- Jonathan Riddell <jriddell@ubuntu.com> Sun, 03 Jun 2007 13:51:42 +0100
+
+pytdeextensions (0.4.0-4) unstable; urgency=low
+
+ * Update pyversions. Force to build with python2.4 only. (Closes: #424505)
+ * Remove python-all-dev build dependency. Replaced by python-dev.
+ * Remove pycompat. Deprecated.
+
+ -- Fathi Boudra <fboudra@free.fr> Wed, 16 May 2007 11:02:06 +0200
+
+pytdeextensions (0.4.0-3ubuntu1) feisty; urgency=low
+
+ * Force to build with python2.5.
+ * FIXME: The package is unlikely to work with python2.4; maybe
+ just drop the build dependency on python-all-dev.
+
+ -- Matthias Klose <doko@ubuntu.com> Sun, 14 Jan 2007 16:42:27 +0000
+
+pytdeextensions (0.4.0-3) unstable; urgency=low
+
+ * Converted package to python-support
+ * Added pycompat and pyversions
+ * Force to use python2.4 (Closes: #375618)
+ * Added to Build-Depends: python-support, python-all-dev,
+ tdelibs4c2a (for kde-config)
+ * Updated libpythonize0-dev, libpythonize0, and pytdextensions install files
+ * Cleaned up rules
+ * Added 12_force_python2.4_script.diff to force python2.4 in scripts
+
+ -- Fathi Boudra <fboudra@free.fr> Thu, 29 Jun 2006 15:41:39 +0200
+
+pytdeextensions (0.4.0-2) unstable; urgency=low
+
+ * Converted package to cdbs
+ * Added 2 patches (thanks to Jonathan Riddell)
+ * 10_qt_candidate_paths.diff
+ * 11_fix_get_libdir_name.diff (Closes: #357775)
+ * Updated control file
+ * Bumped debian policy version
+
+ -- Fathi Boudra <fboudra@free.fr> Tue, 6 Jun 2006 08:56:40 +0200
+
+pytdeextensions (0.4.0-1) unstable; urgency=low
+
+ [ Fathi Boudra ]
+ * Initial Debian release Closes: #340141
+
+ [ Jonathan Riddell ]
+ * Add depends on python2.x-dev to libpythonize0 to bring in libpython2.x.so
+
+ [ Mark Purcell ]
+ * Maintainer: Debian KDE Extras Team <pkg-kde-
+ extras@lists.alioth.debian.org>
+
+ -- Mark Purcell <msp@debian.org> Tue, 28 Feb 2006 19:24:38 +0000
+
diff --git a/debian/lenny/libraries/pytdeextensions/debian/compat b/debian/lenny/libraries/pytdeextensions/debian/compat
new file mode 100644
index 000000000..7ed6ff82d
--- /dev/null
+++ b/debian/lenny/libraries/pytdeextensions/debian/compat
@@ -0,0 +1 @@
+5
diff --git a/debian/lenny/libraries/pytdeextensions/debian/control b/debian/lenny/libraries/pytdeextensions/debian/control
new file mode 100644
index 000000000..ccfebeb23
--- /dev/null
+++ b/debian/lenny/libraries/pytdeextensions/debian/control
@@ -0,0 +1,45 @@
+Source: pytdeextensions-trinity
+Section: kde
+Priority: optional
+Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
+Build-Depends: cdbs, debhelper (>= 5), chrpath, quilt, tdelibs4c2a-trinity, libtool,
+ libxml2-utils, libxrandr-dev, libxxf86vm-dev, pyqt-tools, python-trinity-trinity,
+ python-qt-dev, python-sip4-dev, python-support (>= 0.6), python (>= 2.5), python-dev (>= 2.5)
+Standards-Version: 3.8.4
+
+Package: pytdeextensions-trinity
+Architecture: all
+Depends: ${python:Depends}
+Conflicts: pytdeextensions
+Provides: ${python:Provides}
+Description: Python packages to support KDE applications (scripts) [Trinity]
+ PyKDE Extensions is a collection of software and Python packages
+ to support the creation and installation of KDE applications.
+ .
+ Homepage: http://www.simonzone.com/software/pytdeextensions
+
+Package: libpythonize0-trinity-dev
+Architecture: any
+Section: libdevel
+Depends: libpythonize0-trinity (= ${binary:Version}), python-dev
+Description: Python packages to support KDE applications (development) [Trinity]
+ PyKDE Extensions is a collection of software and Python packages
+ to support the creation and installation of KDE applications.
+ .
+ This package contains the libpythonize development files.
+ .
+ Homepage: http://www.simonzone.com/software/pytdeextensions
+
+Package: libpythonize0-trinity
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libpythonize0
+Description: Python packages to support KDE applications (library) [Trinity]
+ PyKDE Extensions is a collection of software and Python packages
+ to support the creation and installation of KDE applications.
+ .
+ This package contains the libpythonize library files.
+ .
+ Homepage: http://www.simonzone.com/software/pytdeextensions
diff --git a/debian/lenny/libraries/pytdeextensions/debian/copyright b/debian/lenny/libraries/pytdeextensions/debian/copyright
new file mode 100644
index 000000000..9ed7bf6cd
--- /dev/null
+++ b/debian/lenny/libraries/pytdeextensions/debian/copyright
@@ -0,0 +1,48 @@
+This package was debianized by Fathi Boudra <fboudra@free.fr> on
+Wed, 27 Jul 2005 20:19:26 +0200.
+
+It was downloaded from <http://www.simonzone.com/software/pytdeextensions>
+
+Application templates and pytde helper modules copyright:
+ Simon Edwards <simon@simonzone.com>
+
+License:
+
+ This program is free software; you can redistribute it and/or modify
+ it under the terms of the GNU Library General Public License as
+ published by the Free Software Foundation; either version 2 of the
+ License, or (at your option) any later version.
+
+ This package is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ GNU General Public License for more details.
+
+ You should have received a copy of the GNU General Public License
+ along with this package; if not, write to the Free Software
+ Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
+
+On Debian systems, the complete text of the GNU Lesser General
+Public License can be found in `/usr/share/common-licenses/LGPL-2'.
+
+libpythonize: Copyright 2003 Jim Bublitz <jbublitz@nwinternet.com>
+
+License:
+
+ This package is free software; you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation; either version 2 of the License, or
+ (at your option) any later version.
+
+ This package is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ GNU General Public License for more details.
+
+ You should have received a copy of the GNU General Public License
+ along with this package; if not, write to the Free Software
+ Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
+
+On Debian systems, the complete text of the GNU General
+Public License can be found in `/usr/share/common-licenses/GPL'.
+
diff --git a/debian/lenny/libraries/pytdeextensions/debian/docs b/debian/lenny/libraries/pytdeextensions/debian/docs
new file mode 100644
index 000000000..e845566c0
--- /dev/null
+++ b/debian/lenny/libraries/pytdeextensions/debian/docs
@@ -0,0 +1 @@
+README
diff --git a/debian/lenny/libraries/pytdeextensions/debian/libpythonize0-trinity-dev.install b/debian/lenny/libraries/pytdeextensions/debian/libpythonize0-trinity-dev.install
new file mode 100644
index 000000000..f50fc4e15
--- /dev/null
+++ b/debian/lenny/libraries/pytdeextensions/debian/libpythonize0-trinity-dev.install
@@ -0,0 +1,4 @@
+opt/trinity/include/kde/pythonize.h
+opt/trinity/lib/libpythonize.a
+opt/trinity/lib/libpythonize.la
+opt/trinity/lib/libpythonize.so
diff --git a/debian/lenny/libraries/pytdeextensions/debian/libpythonize0-trinity.install b/debian/lenny/libraries/pytdeextensions/debian/libpythonize0-trinity.install
new file mode 100644
index 000000000..48601d2d0
--- /dev/null
+++ b/debian/lenny/libraries/pytdeextensions/debian/libpythonize0-trinity.install
@@ -0,0 +1 @@
+opt/trinity/lib/libpythonize.so.*
diff --git a/debian/lenny/libraries/pytdeextensions/debian/patches/.gitignore b/debian/lenny/libraries/pytdeextensions/debian/patches/.gitignore
new file mode 100644
index 000000000..e69de29bb
--- /dev/null
+++ b/debian/lenny/libraries/pytdeextensions/debian/patches/.gitignore
diff --git a/debian/lenny/libraries/pytdeextensions/debian/pycompat b/debian/lenny/libraries/pytdeextensions/debian/pycompat
new file mode 100644
index 000000000..0cfbf0888
--- /dev/null
+++ b/debian/lenny/libraries/pytdeextensions/debian/pycompat
@@ -0,0 +1 @@
+2
diff --git a/debian/lenny/libraries/pytdeextensions/debian/pytdeextensions-trinity.install b/debian/lenny/libraries/pytdeextensions/debian/pytdeextensions-trinity.install
new file mode 100644
index 000000000..d8b987d87
--- /dev/null
+++ b/debian/lenny/libraries/pytdeextensions/debian/pytdeextensions-trinity.install
@@ -0,0 +1,7 @@
+usr/lib/python*/dist-packages
+opt/trinity/share/apps/pytdeextensions/AUTHORS
+opt/trinity/share/apps/pytdeextensions/ChangeLog
+opt/trinity/share/apps/pytdeextensions/INSTALL
+opt/trinity/share/apps/pytdeextensions/NEWS
+opt/trinity/share/apps/pytdeextensions/app_templates
+opt/trinity/share/doc/kde/HTML/en/pytdeextensions
diff --git a/debian/lenny/libraries/pytdeextensions/debian/pytdeextensions-trinity.lintian-overrides b/debian/lenny/libraries/pytdeextensions/debian/pytdeextensions-trinity.lintian-overrides
new file mode 100644
index 000000000..3b34d51a5
--- /dev/null
+++ b/debian/lenny/libraries/pytdeextensions/debian/pytdeextensions-trinity.lintian-overrides
@@ -0,0 +1,10 @@
+pytdeextensions: desktop-entry-contains-unknown-key ./usr/share/apps/pytdeextensions/app_templates/kcontrol_module/src/kcontrol_module.desktop:4 name[en_GB]
+pytdeextensions: desktop-command-not-in-package ./usr/share/apps/pytdeextensions/app_templates/kcontrol_module/src/kcontrol_module.desktop kcmshell
+pytdeextensions: desktop-entry-invalid-category QT ./usr/share/apps/pytdeextensions/app_templates/kcontrol_module/src/kcontrol_module.desktop
+pytdeextensions: desktop-entry-invalid-category X-KDE-settings-system ./usr/share/apps/pytdeextensions/app_templates/kcontrol_module/src/kcontrol_module.desktop
+pytdeextensions: desktop-entry-lacks-main-category ./usr/share/apps/pytdeextensions/app_templates/kcontrol_module/src/kcontrol_module.desktop
+pytdeextensions: desktop-command-not-in-package ./usr/share/apps/pytdeextensions/app_templates/kdeapp/src/kdeapp.desktop $APPNAMELC$
+pytdeextensions: desktop-command-not-in-package ./usr/share/apps/pytdeextensions/app_templates/kdeutility/src/kdeutility.desktop $APPNAMELC$
+
+pytdeextensions: executable-not-elf-or-script ./usr/share/apps/pytdeextensions/app_templates/kcontrol_module/src/KcontrolModuleWidgetUI.py
+pytdeextensions: executable-not-elf-or-script ./usr/share/apps/pytdeextensions/app_templates/kdeutility/src/KDEUtilityDialogUI.py
diff --git a/debian/lenny/libraries/pytdeextensions/debian/python-distutils-jaunty.mk b/debian/lenny/libraries/pytdeextensions/debian/python-distutils-jaunty.mk
new file mode 100644
index 000000000..9c5e5211f
--- /dev/null
+++ b/debian/lenny/libraries/pytdeextensions/debian/python-distutils-jaunty.mk
@@ -0,0 +1,295 @@
+# -*- mode: makefile; coding: utf-8 -*-
+# Copyright © 2003 Colin Walters <walters@debian.org>
+# Copyright © 2006 Marc Dequènes (Duck) <Duck@DuckCorp.org>
+#
+# Description: manage Python public modules build
+# This class is designed to work with Python packages using the
+# 'distutils' build system and comply to the new policy established
+# during summer 2006. Use of the debhelper class to make use of the
+# new dh_python is strongly advised. (This is still left as optional
+# in line with CDBS' flexible behavior.)
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2, or (at
+# your option) any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
+# 02111-1307 USA.
+#
+
+# This class provides rules for old and new Python policy. Leaving
+# DEB_PYTHON_SYSTEM unset selects the old behavior. The pysupport and
+# pycentral methods are available to comply with new policy. Don't forget
+# to update your 'debian/control'. (Build-Depends are correctly generated
+# if you are using the auto control generation feature.)
+
+# Once all old-style packages are removed before etch, some of the old
+# can be refactored or removed.
+
+
+_cdbs_scripts_path ?= /usr/lib/cdbs
+_cdbs_rules_path ?= /usr/share/cdbs/1/rules
+_cdbs_class_path ?= /usr/share/cdbs/1/class
+
+ifndef _cdbs_class_python_distutils
+_cdbs_class_python_distutils = 1
+
+include $(_cdbs_rules_path)/buildcore.mk$(_cdbs_makefile_suffix)
+include $(_cdbs_class_path)/langcore.mk$(_cdbs_makefile_suffix)
+
+
+# check python system
+cdbs_use_xs_field := $(shell grep -q "^XS-Python-Version:" debian/control && echo yes)
+cdbs_selected_pycompat := $(shell if [ -e debian/pycompat ]; then cat debian/pycompat; fi)
+cdbs_pycompat = $(cdbs_selected_pycompat)
+ifeq (pysupport, $(DEB_PYTHON_SYSTEM))
+ cdbs_python_support_path = usr/share/python-support/$(DEB_PYTHON_MODULE_PACKAGE)
+ ifeq (, $(cdbs_selected_pycompat))
+ cdbs_pycompat = 2
+ endif # use pycompat
+ # warning pysupport compatibility mode
+ ifneq (, $(cdbs_use_xs_field))
+ $(warning WARNING: Use of XS-Python-Version and XB-Python-Version fields in debian/control is deprecated with pysupport method; use debian/pyversions if you need to specify specific versions.)
+ endif # use XS field (compat)
+else
+ ifeq (pycentral, $(DEB_PYTHON_SYSTEM))
+ ifeq (, $(cdbs_selected_pycompat))
+ cdbs_pycompat = 2
+ endif # use pycompat
+ else
+ ifneq (, $(DEB_PYTHON_SYSTEM))
+ $(error unsupported Python system: $(DEB_PYTHON_SYSTEM) (select either pysupport or pycentral))
+ else
+ ifneq (, $(cdbs_use_xs_field))
+ $(error package uses the new Python policy; DEB_PYTHON_SYSTEM must be set to "pysupport" or "pycentral")
+ endif
+ ifneq (, $(cdbs_selected_pycompat))
+ ifeq (yes, $(shell expr $(cdbs_selected_pycompat) \> 1 >/dev/null && echo yes))
+ $(error package uses the new Python policy; DEB_PYTHON_SYSTEM must be set to "pysupport" or "pycentral")
+ endif
+ endif # use pycompat
+ endif # unknown method
+ endif # pycentral
+endif # pysupport
+
+
+ifndef DEB_PYTHON_SYSTEM
+DEB_PYTHON_COMPILE_VERSION =
+DEB_PYTHON_VERSIONS = 2.1 2.2 2.3 2.4 2.5 2.6
+else
+# default package is the first one declared in 'debian/control'
+# (override if necessary)
+DEB_PYTHON_MODULE_PACKAGE = $(firstword $(filter-out %-doc %-dev %-common, $(DEB_PACKAGES)))
+DEB_PYTHON_PRIVATE_MODULES_DIRS =
+endif
+
+# common variables
+DEB_PYTHON_SETUP_CMD = setup.py
+DEB_PYTHON_CLEAN_ARGS = -a
+DEB_PYTHON_BUILD_ARGS = --build-base="$(CURDIR)/$(DEB_BUILDDIR)/build"
+DEB_PYTHON_INSTALL_ARGS_ALL = --no-compile -O0 --prefix=/usr
+
+
+ifndef DEB_PYTHON_SYSTEM
+########################### old policy method ###########################
+
+$(warning =======================================================)
+$(warning Your package does not conform to the new Python policy.)
+$(warning Please consider updating. Here is some documentation:)
+$(warning http://wiki.debian.org/DebianPython/NewPolicy)
+$(warning http://wiki.debian.org/DebianPythonFAQ)
+$(warning =======================================================)
+
+# make: *** No rule to make target `voodoo'. Stop.
+DEB_PYTHON_REAL_LIB_PACKAGES = $(strip $(filter $(patsubst %,python%%,$(DEB_PYTHON_VERSIONS)),$(filter-out $(DEB_PYTHON_PACKAGES_EXCLUDE),$(DEB_ALL_PACKAGES))))
+# If no versioned python library packages found, grab all simpler ones
+ifeq (,$(DEB_PYTHON_REAL_LIB_PACKAGES))
+DEB_PYTHON_SIMPLE_PACKAGES = $(strip $(filter python-%,$(filter-out $(DEB_PYTHON_PACKAGES_EXCLUDE),$(DEB_ALL_PACKAGES))))
+endif
+
+cdbs_python_ver = $(filter-out -%,$(subst -, -,$(patsubst python%,%,$(cdbs_curpkg))))
+
+common-build-arch common-build-indep:: common-build-impl
+common-build-impl::
+ cd $(DEB_SRCDIR) && PATH=/opt/trinity/bin:$(PATH) python$(DEB_PYTHON_COMPILE_VERSION) $(DEB_PYTHON_SETUP_CMD) build $(DEB_PYTHON_BUILD_ARGS)
+
+
+# See if this package doesn't appear to need to be compiled by multiple
+# Python versions.
+ifeq (,$(DEB_PYTHON_REAL_LIB_PACKAGES))
+common-install-arch common-install-indep:: common-install-impl
+common-install-impl::
+ cd $(DEB_SRCDIR) && PATH=/opt/trinity/bin:$(PATH) python$(DEB_PYTHON_COMPILE_VERSION) $(DEB_PYTHON_SETUP_CMD) install --root=$(DEB_DESTDIR) $(DEB_PYTHON_INSTALL_ARGS_ALL) $(DEB_PYTHON_INSTALL_ARGS_$(cdbs_curpkg))
+ for ddir in $(DEB_DESTDIR)/usr/lib/python?.?/dist-packages; do \
+ sdir=$$(dirname $$ddir)/site-packages; \
+ mkdir -p $$sdir; \
+ tar -c -f - -C $$ddir . | tar -x -f - -C $$sdir; \
+ rm -rf $$ddir; \
+ done
+else
+$(patsubst %,install/%,$(DEB_PYTHON_REAL_LIB_PACKAGES)) :: install/% :
+ cd $(DEB_SRCDIR) && PATH=/opt/trinity/bin:$(PATH) python$(cdbs_python_ver) $(DEB_PYTHON_SETUP_CMD) install --root=$(CURDIR)/debian/$(cdbs_curpkg) $(DEB_PYTHON_INSTALL_ARGS_ALL) $(DEB_PYTHON_INSTALL_ARGS_$(cdbs_curpkg))
+ for ddir in $(CURDIR)/debian/$(cdbs_curpkg)/usr/lib/python?.?/dist-packages; do \
+ sdir=$$(dirname $$ddir)/site-packages; \
+ mkdir -p $$sdir; \
+ tar -c -f - -C $$ddir . | tar -x -f - -C $$sdir; \
+ rm -rf $$ddir; \
+ done
+endif
+
+$(patsubst %,install/%,$(DEB_PYTHON_SIMPLE_PACKAGES)) :: install/% :
+ cd $(DEB_SRCDIR) && PATH=/opt/trinity/bin:$(PATH) python $(DEB_PYTHON_SETUP_CMD) install --root=$(CURDIR)/debian/$(cdbs_curpkg) $(DEB_PYTHON_INSTALL_ARGS_ALL) $(DEB_PYTHON_INSTALL_ARGS_$(cdbs_curpkg))
+ifeq (pysupport, $(DEB_PYTHON_SYSTEM))
+ for ddir in $(CURDIR)/debian/$(cdbs_curpkg)/usr/lib/python?.?/dist-packages; do \
+ sdir=$$(dirname $$ddir)/site-packages; \
+ mkdir -p $$sdir; \
+ tar -c -f - -C $$ddir . | tar -x -f - -C $$sdir; \
+ rm -rf $$ddir; \
+ done
+endif
+
+# This class can optionally utilize debhelper's "dh_python" command. Just
+# be sure you include debhelper.mk before including this file.
+ifdef _cdbs_rules_debhelper
+
+DEB_DH_PYTHON_ARGS = $(addprefix -V ,$(DEB_PYTHON_COMPILE_VERSION)) $(DEB_DH_PYTHON_ARGS_ALL) $(DEB_DH_PYTHON_ARGS_$(cdbs_curpkg))
+
+$(patsubst %,binary-install/%,$(DEB_PACKAGES)) :: binary-install/%:
+ dh_python -p$(cdbs_curpkg) $(DEB_DH_PYTHON_ARGS)
+endif
+
+
+# Ignore errors from this rule. In a tarball build, the file may not
+# exist.
+ifeq (,$(DEB_PYTHON_REAL_LIB_PACKAGES))
+clean::
+ -python$(DEB_PYTHON_COMPILE_VERSION) $(DEB_PYTHON_SETUP_CMD) clean $(DEB_PYTHON_CLEAN_ARGS)
+else
+clean:: $(patsubst %,python-cleanbuilddir/%,$(DEB_PYTHON_REAL_LIB_PACKAGES))
+
+$(patsubst %,python-cleanbuilddir/%,$(DEB_PYTHON_REAL_LIB_PACKAGES)) :: python-cleanbuilddir/% :
+ -python$(cdbs_python_ver) $(DEB_PYTHON_SETUP_CMD) clean $(DEB_PYTHON_CLEAN_ARGS)
+endif
+
+else
+########################## new policy methods ###########################
+
+# Calculate cdbs_python_build_versions
+cdbs_python_module_arch := $(strip $(shell perl -e '$$/=""; $$_=(grep {/^Package: $(DEB_PYTHON_MODULE_PACKAGE)$$/m;} (<>))[0]; /^Architecture: (.*)$$/m && print $$1' debian/control))
+cdbs_python_current_version := $(shell pyversions -vd)
+ifeq (all, $(cdbs_python_module_arch))
+ # check if current is in build versions
+ ifneq ($(cdbs_python_current_version), $(filter $(cdbs_python_current_version), $(shell pyversions -vr)))
+ cdbs_python_compile_version := $(firstword $(strip $(sort $(shell pyversions -vr))))
+ cdbs_python_build_versions := $(cdbs_python_compile_version)
+ else
+ cdbs_python_build_versions := $(cdbs_python_current_version)
+ endif
+else
+cdbs_python_build_versions := $(shell pyversions -vr)
+endif # archall
+
+# check if build is possible
+ifeq (, $(cdbs_python_build_versions))
+ifeq (pysupport, $(DEB_PYTHON_SYSTEM))
+$(error invalid setting in debian/pyversions)
+else
+$(error invalid setting for XS-Python-Version)
+endif # system selected
+endif # build versions empty
+
+
+# Declare Build-Deps for packages using this file
+CDBS_BUILD_DEPENDS := $(CDBS_BUILD_DEPENDS), debhelper (>= 5.0.37.2), cdbs (>= 0.4.43)
+ifeq (all, $(cdbs_python_module_arch))
+ ifneq (, $(cdbs_python_compile_version))
+ CDBS_BUILD_DEPENDS := $(CDBS_BUILD_DEPENDS), python$(cdbs_python_compile_version)-dev, python (>= 2.3.5-11)
+ else
+ CDBS_BUILD_DEPENDS := $(CDBS_BUILD_DEPENDS), python-dev (>= 2.3.5-11)
+ endif
+else
+CDBS_BUILD_DEPENDS := $(CDBS_BUILD_DEPENDS), python-all-dev (>= 2.3.5-11)
+endif
+ifeq (pysupport, $(DEB_PYTHON_SYSTEM))
+CDBS_BUILD_DEPENDS := $(CDBS_BUILD_DEPENDS), python-support (>= 0.3.2)
+else
+CDBS_BUILD_DEPENDS := $(CDBS_BUILD_DEPENDS), python-central (>= 0.6)
+endif
+
+
+cdbs_python_current_binary := $(shell pyversions -d)
+cdbs_python_binary = $(if $(call cdbs_streq,$(cdbs_python_current_binary),$(1)),python,$(1))
+
+# build stage
+common-build-arch common-build-indep:: $(addprefix python-build-stamp-, $(cdbs_python_build_versions))
+python-build-stamp-%:
+ifeq (all, $(cdbs_python_module_arch))
+ cd $(DEB_SRCDIR) && PATH=/opt/trinity/bin:$(PATH) $(call cdbs_python_binary,python$(cdbs_python_compile_version)) $(DEB_PYTHON_SETUP_CMD) build $(DEB_PYTHON_BUILD_ARGS)
+else
+ cd $(DEB_SRCDIR) && PATH=/opt/trinity/bin:$(PATH) $(call cdbs_python_binary,python$*) $(DEB_PYTHON_SETUP_CMD) build $(DEB_PYTHON_BUILD_ARGS)
+endif # archall detection
+ touch $@
+
+
+# install stage
+ifeq (all, $(cdbs_python_module_arch))
+common-install-arch common-install-indep:: python-install-py
+python-install-py:
+ cd $(DEB_SRCDIR) && PATH=/opt/trinity/bin:$(PATH) $(call cdbs_python_binary,python$(cdbs_python_compile_version)) $(DEB_PYTHON_SETUP_CMD) install --root=$(DEB_DESTDIR) $(DEB_PYTHON_INSTALL_ARGS_ALL)
+else
+common-install-arch common-install-indep:: $(addprefix python-install-, $(cdbs_python_build_versions))
+python-install-%:
+ cd $(DEB_SRCDIR) && PATH=/opt/trinity/bin:$(PATH) $(call cdbs_python_binary,python$*) $(DEB_PYTHON_SETUP_CMD) install --root=$(DEB_DESTDIR) $(DEB_PYTHON_INSTALL_ARGS_ALL)
+endif # archall detection
+
+
+# This class can optionally use debhelper's commands. Just
+# be sure you include debhelper.mk before including this file.
+ifdef _cdbs_rules_debhelper
+
+DEB_DH_PYTHON_ARGS = $(DEB_DH_PYTHON_ARGS_ALL) $(DEB_DH_PYTHON_ARGS_$(cdbs_curpkg)) $(DEB_PYTHON_PRIVATE_MODULES_DIRS)
+
+$(patsubst %,binary-install/%,$(DEB_PACKAGES)) :: binary-install/%:
+ifeq (pysupport, $(DEB_PYTHON_SYSTEM))
+ dh_pysupport -p$(cdbs_curpkg) $(DEB_PYTHON_PRIVATE_MODULES_DIRS)
+else
+ dh_pycentral -p$(cdbs_curpkg)
+endif
+ dh_python -p$(cdbs_curpkg) $(DEB_DH_PYTHON_ARGS)
+endif
+
+
+# clean stage
+clean:: $(addprefix python-clean-, $(cdbs_python_build_versions))
+python-clean-%:
+ifeq (all, $(cdbs_python_module_arch))
+ -cd $(DEB_SRCDIR) && $(call cdbs_python_binary,python$(cdbs_python_compile_version)) $(DEB_PYTHON_SETUP_CMD) clean $(DEB_PYTHON_CLEAN_ARGS)
+else
+ -cd $(DEB_SRCDIR) && $(call cdbs_python_binary,python$*) $(DEB_PYTHON_SETUP_CMD) clean $(DEB_PYTHON_CLEAN_ARGS)
+endif # archall detection
+
+clean::
+ifeq (, $(cdbs_selected_pycompat))
+ echo "$(cdbs_pycompat)" >debian/pycompat
+endif # use pycompat
+ rm -f python-build-stamp-*
+
+endif
+
+
+########################## all policy methods ###########################
+
+# Calling setup.py clean may create .pyc files, so we need a final cleanup
+# pass here.
+clean::
+ find . -name '*.pyc' -exec rm '{}' ';'
+
+endif
diff --git a/debian/lenny/libraries/pytdeextensions/debian/pyversions b/debian/lenny/libraries/pytdeextensions/debian/pyversions
new file mode 100644
index 000000000..b3dc41ebc
--- /dev/null
+++ b/debian/lenny/libraries/pytdeextensions/debian/pyversions
@@ -0,0 +1 @@
+2.5-
diff --git a/debian/lenny/libraries/pytdeextensions/debian/rules b/debian/lenny/libraries/pytdeextensions/debian/rules
new file mode 100755
index 000000000..1acb32f7d
--- /dev/null
+++ b/debian/lenny/libraries/pytdeextensions/debian/rules
@@ -0,0 +1,63 @@
+#!/usr/bin/make -f
+
+DEB_PYTHON_SYSTEM = pysupport
+
+include /usr/share/cdbs/1/rules/debhelper.mk
+#include /usr/share/cdbs/1/class/python-distutils.mk
+include debian/python-distutils-jaunty.mk
+include /usr/share/cdbs/1/rules/patchsys-quilt.mk
+include /usr/share/cdbs/1/rules/utils.mk
+
+DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
+DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
+DEB_CONFIGURE_PREFIX := /opt/trinity
+DEB_CONFIGURE_INFODIR := /opt/trinity/share/info
+
+cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)
+
+DEB_DH_INSTALL_ARGS = --sourcedir=debian/tmp
+DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/kde
+
+install/pytdeextensions-trinity::
+ # We have no idea if the built product is site-packages or dist-packages
+ cd debian/tmp/usr/lib/python*/ && mv site-packages/ dist-packages/ || echo "site-packages --> dist-packages"
+ rm -rf debian/tmp/usr/lib/python*/site-packages/
+
+ # install lintian overrides
+ install -D -p -m0644 debian/pytdeextensions-trinity.lintian-overrides \
+ debian/pytdeextensions-trinity/usr/share/lintian/overrides/pytdeextensions-trinity
+
+ # fix script-not-executable
+ find debian -type f -name '*.py' | xargs chmod 0755
+
+ # remove extra-license-file
+ find debian -type f -name 'COPYING' | xargs rm -f
+
+ # remove byte-compiled file
+ find . -type f -name '*.py[co]' | xargs rm -f
+
+install/libpythonize0-trinity::
+ # Move the files where they belong
+ mkdir -p debian/tmp/opt/trinity/lib
+ mv debian/tmp/usr/lib/libpythonize* debian/tmp/opt/trinity/lib/ || echo "moving files 1/2"
+ mv debian/tmp/usr/include debian/tmp/opt/trinity/ || echo "moving files 2/2"
+
+ # fix binary-or-shlib-defines-rpath
+ chrpath -d debian/tmp/opt/trinity/lib/libpythonize.so.*
+ # fix include directory location
+ mkdir -p debian/tmp/opt/trinity/include/kde
+ mv debian/tmp/opt/trinity/include/*.h debian/tmp/opt/trinity/include/kde
+
+clean::
+ rm -rf build
+ rm -f doc/en/*html doc/en/*bz2
+ rm -f install_log.txt
+
+ # remove byte-compiled file
+ find . -type f -name '*.py[co]' | xargs rm -f
+
+get-orig-source:
+ @@dh_testdir
+ @@[ -d ../tarballs/. ]
+ @@dpatch-get-origtargz ../tarballs
+